caoss.simulator.hardware

## Enum Interrupt

- java.lang.Object
- - java.lang.Enum<Interrupt>
  - - caoss.simulator.hardware.Interrupt

- All Implemented Interfaces:
    java.io.Serializable, java.lang.Comparable<Interrupt>

      public enum Interrupt
      extends java.lang.Enum<Interrupt>

  The enumeration of the supported interrupts
  Author:
    Herve Paulino

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `DUMMY`
    `SYSCALL`
    `TIMER`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static int` | `size()` The number of supported interrupts
    `static Interrupt` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static Interrupt[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SYSCALL

          public static final Interrupt SYSCALL

    - #### TIMER

          public static final Interrupt TIMER

    - #### DUMMY

          public static final Interrupt DUMMY

  - ### Method Detail

    - #### values

          public static Interrupt[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Interrupt c : Interrupt.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Interrupt valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### size

          public static int size()

      The number of supported interrupts
      Returns:
        The number of supported interrupts